aboutsummaryrefslogtreecommitdiff
path: root/share/hydractl/backup-restore-site
diff options
context:
space:
mode:
Diffstat (limited to 'share/hydractl/backup-restore-site')
-rwxr-xr-xshare/hydractl/backup-restore-site22
1 files changed, 22 insertions, 0 deletions
diff --git a/share/hydractl/backup-restore-site b/share/hydractl/backup-restore-site
new file mode 100755
index 0000000..493fc30
--- /dev/null
+++ b/share/hydractl/backup-restore-site
@@ -0,0 +1,22 @@
+#!/bin/bash
+#
+# Restore a website from backup
+#
+
+# Load.
+source $APP_BASE/lib/hydra/functions || exit 1
+hydra_config_load
+
+SITE="$3"
+
+if [ -z "$SITE" ]; then
+ hydra_action_usage
+ exit 1
+fi
+
+hydra_backup_environment $*
+
+# Check if there's already a site folder and backup it
+# Check installed platforms: trac, drupal, pmwiki
+# Drupal: check symlinks
+# Fix permissions